module inc5_test;
  reg p_reset, m_clock;
  reg [4:0] i;
  wire [4:0] o;
  reg do;

  inc5 the_inc5(.p_reset(p_reset), .m_clock(m_clock), .i(i), .o(o), .do(do));

  always
    begin
      #10 m_clock = 1'b0;
      #10 m_clock = 1'b1;
      i = o;
    end

  initial
    begin
      $dumpfile("inc5_test.vcd");
      $dumpvars(0, the_inc5);
      $monitor ("%t: o = %x", $time, o);
      p_reset = 1'b0;
      m_clock = 1'b0;
      i = 5'b00000;
      do = 1'b0;
      #5 p_reset = 1'b1;
      #10 p_reset = 1'b0;
      do = 1'b1;
      #1000 $finish;
    end
endmodule
